
// TeechartTestDlg.cpp : implementation file
//

#include "stdafx.h"
#include "TeechartTest.h"
#include "TeechartTestDlg.h"

#include "TeeChartDefines.h"
#include "series.h"
#include "aspect.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#endif


// CAboutDlg dialog used for App About

class CAboutDlg : public CDialog
{
public:
	CAboutDlg();

// Dialog Data
	enum { IDD = IDD_ABOUTBOX };

	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support

// Implementation
protected:
	DECLARE_MESSAGE_MAP()
};

CAboutDlg::CAboutDlg() : CDialog(CAboutDlg::IDD)
{
}

void CAboutDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
}

BEGIN_MESSAGE_MAP(CAboutDlg, CDialog)
END_MESSAGE_MAP()


// CTeechartTestDlg dialog




CTeechartTestDlg::CTeechartTestDlg(CWnd* pParent /*=NULL*/)
	: CDialog(CTeechartTestDlg::IDD, pParent)
{
	m_hIcon = AfxGetApp()->LoadIcon(IDR_MAINFRAME);
}

void CTeechartTestDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
}

BEGIN_MESSAGE_MAP(CTeechartTestDlg, CDialog)
	ON_WM_SYSCOMMAND()
	ON_WM_PAINT()
	ON_WM_QUERYDRAGICON()
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()


// CTeechartTestDlg message handlers

BOOL CTeechartTestDlg::OnInitDialog()
{
	CDialog::OnInitDialog();

	// Add "About..." menu item to system menu.

	// IDM_ABOUTBOX must be in the system command range.
	ASSERT((IDM_ABOUTBOX & 0xFFF0) == IDM_ABOUTBOX);
	ASSERT(IDM_ABOUTBOX < 0xF000);

	CMenu* pSysMenu = GetSystemMenu(FALSE);
	if (pSysMenu != NULL)
	{
		BOOL bNameValid;
		CString strAboutMenu;
		bNameValid = strAboutMenu.LoadString(IDS_ABOUTBOX);
		ASSERT(bNameValid);
		if (!strAboutMenu.IsEmpty())
		{
			pSysMenu->AppendMenu(MF_SEPARATOR);
			pSysMenu->AppendMenu(MF_STRING, IDM_ABOUTBOX, strAboutMenu);
		}
	}

	// Set the icon for this dialog.  The framework does this automatically
	//  when the application's main window is not a dialog
	SetIcon(m_hIcon, TRUE);			// Set big icon
	SetIcon(m_hIcon, FALSE);		// Set small icon

    m_cTchar.Create("TEST", WS_CHILD | WS_VISIBLE, CRect(0, 0, 0, 0), this, 100);
    m_cTchar.MoveWindow(10, 10, 500, 400, TRUE);

    m_cTchar.GetAspect().SetView3D(FALSE);

    int firstSeries = m_cTchar.AddSeries(scLine);
    int secondSeries = m_cTchar.AddSeries(scLine);


    //////////////////////////////////////////////////////////////////////////
    //
    // Method 1 (Random Values) : No problem.
    //
    
    //m_cTchar.Series(firstSeries).FillSampleValues(1000);
    //m_cTchar.Series(secondSeries).FillSampleValues(1000);





    //////////////////////////////////////////////////////////////////////////
    //
    // Method 2 (Use Series.Add() Function and use only one series) : No problem.
    //

    /*char temp[200];
    for(int i = 0; i < 100; i++)
    {
        sprintf_s(temp, 200, "%d", i * 100);
        m_cTchar.Series(firstSeries).Add(i * 10, temp, RGB(255, 0, 0));
    }*/





    //////////////////////////////////////////////////////////////////////////
    //
    // Method 3 (Use Series.Add() Function and use two series) : Find Problem!!
    //

    char temp[200];
    for(int i = 0; i < 100; i++)
    {
        sprintf_s(temp, 200, "%d", i * 100);
        m_cTchar.Series(firstSeries).Add(i * 10, temp, RGB(255, 0, 0));
        m_cTchar.Series(secondSeries).Add(i * 5, temp, RGB(0, 0, 255));
    }


	return TRUE;  // return TRUE  unless you set the focus to a control
}

void CTeechartTestDlg::OnSysCommand(UINT nID, LPARAM lParam)
{
	if ((nID & 0xFFF0) == IDM_ABOUTBOX)
	{
		CAboutDlg dlgAbout;
		dlgAbout.DoModal();
	}
	else
	{
		CDialog::OnSysCommand(nID, lParam);
	}
}

// If you add a minimize button to your dialog, you will need the code below
//  to draw the icon.  For MFC applications using the document/view model,
//  this is automatically done for you by the framework.

void CTeechartTestDlg::OnPaint()
{
	if (IsIconic())
	{
		CPaintDC dc(this); // device context for painting

		SendMessage(WM_ICONERASEBKGND, reinterpret_cast<WPARAM>(dc.GetSafeHdc()), 0);

		// Center icon in client rectangle
		int cxIcon = GetSystemMetrics(SM_CXICON);
		int cyIcon = GetSystemMetrics(SM_CYICON);
		CRect rect;
		GetClientRect(&rect);
		int x = (rect.Width() - cxIcon + 1) / 2;
		int y = (rect.Height() - cyIcon + 1) / 2;

		// Draw the icon
		dc.DrawIcon(x, y, m_hIcon);
	}
	else
	{
		CDialog::OnPaint();
	}
}

// The system calls this function to obtain the cursor to display while the user drags
//  the minimized window.
HCURSOR CTeechartTestDlg::OnQueryDragIcon()
{
	return static_cast<HCURSOR>(m_hIcon);
}

